Loading...
Searching...
No Matches
translate.hpp File Reference

Provides seqan3::views::translate and seqan3::views::translate_single. More...

`#include <concepts>`
`#include <ranges>`
`#include <stdexcept>`
`#include <vector>`
`#include <seqan3/alphabet/aminoacid/aa27.hpp>`
`#include <seqan3/alphabet/aminoacid/translation.hpp>`
`#include <seqan3/alphabet/nucleotide/dna5.hpp>`
`#include <seqan3/core/add_enum_bitwise_operators.hpp>`
`#include <seqan3/core/range/detail/adaptor_from_functor.hpp>`
`#include <seqan3/core/range/type_traits.hpp>`
`#include <seqan3/utility/container/small_string.hpp>`
`#include <seqan3/utility/views/deep.hpp>`
Include dependency graph for translate.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Enumerations

enum class

seqan3::translation_frames : uint8_t {
seqan3::forward_frame0 = 1 , seqan3::forward_frame1 = 1 << 1 , seqan3::forward_frame2 = 1 << 2 , seqan3::reverse_frame0 = 1 << 3 ,
seqan3::reverse_frame1 = 1 << 4 , seqan3::reverse_frame2 = 1 << 5 , seqan3::forward_reverse0 = forward_frame0 | reverse_frame0 , seqan3::forward_reverse1 = forward_frame1 | reverse_frame1 ,
seqan3::forward_reverse2 = forward_frame2 | reverse_frame2 , seqan3::forward_frames = forward_frame0 | forward_frame1 | forward_frame2 , seqan3::reverse_frames = reverse_frame0 | reverse_frame1 | reverse_frame2 , seqan3::six_frames = forward_frames | reverse_frames
}

| Specialisation values for single and multiple translation frames. More...

## Variables

constexpr auto | seqan3::views::translate
| A view that translates nucleotide into aminoacid alphabet with 1, 2, 3 or 6 frames.
Alphabet related views
constexpr auto | seqan3::views::translate_single
| A view that translates nucleotide into aminoacid alphabet for one of the six frames.

## Detailed Description

Provides seqan3::views::translate and seqan3::views::translate_single.

Author
  Sara Hetzel <sara.hetzel AT fu-berlin.de>

Hide me